GET /api/v202306/collection

Retrieves all the collections

GetCollectionsV202306 Permissions: Collections (View)
Paginated endpoint — This API returns paginated results. Use the pageNumber and pageSize query parameters to control which page of results is returned. The response includes pagination metadata in the response headers. See the Pagination guide for details.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Query Parameters

Name Description Type Required
filter string (string) Optional
pageSize The number of elements to return in a page integer (int32) Optional
pageNumber The current page number integer (int32) Optional

Filters

Filter Description Type Operators
collectionCode Collection Code String equals not equals one of like not like not one of
collectionId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
collectionInfo Collection Name String equals not equals one of like not like not one of
note Note String equals not equals one of like not like not one of
parentCollectionCode Parent Collection Code String equals not equals one of like not like not one of
parentCollectionId Parent Collection ID Integer equals not equals less than between one of greater than less than equal greater than equal not one of
parentCollectionInfo Parent Collection Name String equals not equals one of like not like not one of
topmostCollectionId Integer equals

Response Headers

This endpoint returns pagination metadata in the response headers.

Header Type Description
PageNumber integer The current page number (1-based).
PageSize integer The maximum number of items per page.
TotalNumberOfRecords integer The total number of records matching the query across all pages.
TotalPages integer The total number of pages. Increment pageNumber until it equals this value to retrieve all results.

See the Pagination guide for iteration examples and best practices.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

CollectionResponse
Property Description Type
collectionCode The collection code string
collectionIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
collectionId The collection identifier integer (int32)
collectionInfo The collection info string
collections An array of child collections CollectionChild[]
CollectionChild properties
Property Description Type
collectionCode The collection code string
collectionIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
collectionId The collection identifier integer (int32)
collectionInfo The collection info string
emissionSources An array of child emission sources CollectionEmissionSourceChild[]
CollectionEmissionSourceChild properties
Property Description Type
active Whether the emission source is active or not boolean
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
emissionSourceCode The emission source code string
emissionSourceId The emission source identifier integer (int32)
emissionSourceInfo The emission source info string
note The collection description string
parent CollectionChild
CollectionChild properties
Property Description Type
collectionCode The collection code string
collectionIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
collectionId The collection identifier integer (int32)
collectionInfo The collection info string
Example Response application/json
[
  {    "collectionCode": "string",    "collectionIcon": {      "code": "string",      "color": "string"
    },    "collectionId": 1,    "collectionInfo": "string",    "collections": [
      {      "collectionCode": "string",      "collectionIcon": {},      "collectionId": 1,      "collectionInfo": "string"
    }
    ],    "emissionSources": [
      {      "active": false,      "commodity": {},      "emissionSourceCode": "string",      "emissionSourceId": 1,      "emissionSourceInfo": "string"
    }
    ],    "note": "string",    "parent": {      "collectionCode": "string",      "collectionIcon": {},      "collectionId": 1,      "collectionInfo": "string"
    }
  }
]